org.apache.lucene.codecs

## Class BlockTermState

- java.lang.Object
- - org.apache.lucene.index.TermState
  - - org.apache.lucene.index.OrdTermState
    - - org.apache.lucene.codecs.BlockTermState

All Implemented Interfaces:
  Cloneable

    public class BlockTermState
    extends OrdTermState

Holds all state required for `PostingsReaderBase` to produce a `DocsEnum` without re-seeking the terms dict.

### Field Summary

Fields
`long` `blockFilePointer` fp into the terms dict primary file (_X.tim) that holds this term
`int` `docFreq` how many docs have this term
`int` `termBlockOrd` the term's ord in the current block
`long` `totalTermFreq` total number of occurrences of this term

### Fields inherited from class org.apache.lucene.index.OrdTermState

`ord`

### Constructor Summary

Constructors
`protected` `BlockTermState()` Sole constructor.

### Method Summary

Methods
`void` `copyFrom(TermState _other)` Copies the content of the given `TermState` to this instance
`String` `toString()`

### Methods inherited from class org.apache.lucene.index.TermState

`clone`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### docFreq

    public int docFreq

how many docs have this term

#### totalTermFreq

    public long totalTermFreq

total number of occurrences of this term

#### termBlockOrd

    public int termBlockOrd

the term's ord in the current block

#### blockFilePointer

    public long blockFilePointer

fp into the terms dict primary file (_X.tim) that holds this term

### Constructor Detail

#### BlockTermState

    protected BlockTermState()

Sole constructor. (For invocation by subclass constructors, typically implicit.)

### Method Detail

#### copyFrom

    public void copyFrom(TermState _other)

Description copied from class: `TermState`
Copies the content of the given `TermState` to this instance

Overrides:
  `copyFrom` in class `OrdTermState`
Parameters:
  `_other` - the TermState to copy

#### toString

    public String toString()

Overrides:
  `toString` in class `OrdTermState`